
.hidden {
    display: none;
}

.oar-bdeck {
    margin: 1rem 0;
    background-color: var(--bdeck-bg-color);
    color: var(--bdeck-fg-color);
}

.oar-bdeck-cards {
    display: block;
    padding: 0 0 2rem 0;
}

.oar-bdeck-card {
    padding: 1rem;
    margin-bottom: 1rem;
    min-height: 10rem;
    display: flex;
    flex-direction: column;
    border: 2px solid var(--bdeck-card-fg-color);
    background-color: var(--bdeck-card-bg-color);
    color: var(--bdeck-card-fg-color);
}

.oar-bdeck-card:hover {
    text-decoration: none;
    background-color: var(--bdeck-card-fg-color);
    color: var(--bdeck-card-bg-color);
    border-color: var(--bdeck-card-bg-color);
}

.oar-bdeck-dialog-title {
    font-weight: 800;
    font-size: 1.25rem;
    text-transform: uppercase;
}
.oar-bdeck-card-title {
    flex-grow: 1;
    flex-shrink: 0;
    font-weight: 800;
    font-size: 1.25rem;
    text-transform: uppercase;
}

.oar-bdeck-card-footer::before {
    display: block;
    content: " ";
    height: 1px;
    border-top: 4px solid var(--bdeck-card-fg-color);
    width: 3rem;
    margin: 0.5rem 0;
}

.oar-bdeck-card:hover .oar-bdeck-card-footer::before {
    border-top-color: var(--bdeck-card-bg-color);
}

@media (min-width: 768px) {

    .oar-bdeck-cards {
        display: grid;
        grid-template-columns: repeat(2, minmax(0, 1fr));
        gap: 2rem;
    }

    .oar-bdeck-card {
        min-height: 15rem;
        margin-bottom: 0;
    }

}


@media (min-width: 992px) {

    .oar-bdeck-cards {
        display: grid;
        grid-template-columns: repeat(4, minmax(0, 1fr));
        gap: 2rem;
    }

}

